diff -ur mtr-0.57/configure mtr-0.58/configure
--- mtr-0.57/configure	Mon Apr  5 14:04:57 2004
+++ mtr-0.58/configure	Wed Apr  7 11:51:30 2004
@@ -699,7 +699,7 @@
 
 PACKAGE=mtr
 
-VERSION=0.57
+VERSION=0.58
 
 if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
   { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
diff -ur mtr-0.57/configure.in mtr-0.58/configure.in
--- mtr-0.57/configure.in	Mon Apr  5 14:04:56 2004
+++ mtr-0.58/configure.in	Wed Apr  7 11:51:29 2004
@@ -1,5 +1,5 @@
 AC_INIT(mtr.c)
-AM_INIT_AUTOMAKE(mtr, 0.57)
+AM_INIT_AUTOMAKE(mtr, 0.58)
 
 
 AC_SUBST(GTK_OBJ)
diff -ur mtr-0.57/dns.c mtr-0.58/dns.c
--- mtr-0.57/dns.c	Mon Apr  5 15:45:09 2004
+++ mtr-0.58/dns.c	Wed Apr  7 14:33:55 2004
@@ -44,6 +44,8 @@
 #include <errno.h>
 #include <time.h>
 
+#include "dns.h"
+
 #ifdef NO_STRERROR
 extern int sys_nerr;
 extern char *sys_errlist[];
@@ -53,9 +55,6 @@
 /*  Hmm, it seems Irix requires this  */
 extern int errno;
 
-/* Defined in mtr.c */
-extern int dns;
-
 /* Defines */
 
 #undef Debug
@@ -74,14 +73,6 @@
 /* Macros */
 
 #define nonull(s) (s) ? s : nullstring
-
-/* Typedefs */
-
-typedef unsigned char byte;
-typedef unsigned short word;
-typedef unsigned long dword;
-
-typedef unsigned int ip_t;
 
 /* Structures */
 
diff -ur mtr-0.57/dns.h mtr-0.58/dns.h
--- mtr-0.57/dns.h	Thu Mar  7 13:19:11 2002
+++ mtr-0.58/dns.h	Wed Apr  7 14:34:10 2004
@@ -17,13 +17,25 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
+/* Typedefs */
+
+typedef unsigned char byte;
+typedef unsigned short word;
+typedef unsigned long dword;
+
+typedef unsigned int ip_t;
+
+
+
 /*  Prototypes for dns.c  */
 
 void dns_open();
 int dns_waitfd();
 void dns_ack();
 void dns_events(double *sinterval);
-char *dns_lookup(int address);
-char *dns_lookup2(int address);
+char *dns_lookup(ip_t address);
+char *dns_lookup2(ip_t address);
 int dns_forward(char *name);
-char *strlongip (int address);
+char *strlongip(ip_t ip);
+
+extern int dns;
